### Method

# FwupdPlugin Context get_esp_location

#### Declaration [src]

    const gchar*
    fu_context_get_esp_location (
      FuContext* self
    )

#### Description [src]

Retrieves the user’s desired ESP (EFI System Partition) location for the given `FuContext`.

#### Return value

Type: `const gchar*`

The preferred ESP location as a string.

The returned data is owned by the instance.
The value is a NUL terminated UTF-8 string.